getSendBlockList

Prev Next

Available in Classic and VPC

Get the default time at which the system automatically blocks sending for a specific recipient

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /send-block

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
size Integer Optional Number of records per page
  • 10 (default)
page Integer Optional Page index to view
  • 0 or greater
sort String Optional Sort by
  • createUtc (default)
    • createUtc: creation date and time
  • property (,asc|desc) format
    • asc (default)
  • Multiple sort criteria can be set
targetAddress String Required Recipient's email address to view the blocked delivery history for

Request example

The following is a sample request.

curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/send-block?targetAddress=test01%40ncp-mail.com' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content List - Details for the blocked delivery list
registerStatus String - Whether the email is currently blocked from delivery
expectedDeleteDate Object - Date and time of scheduled unblocking
last Boolean - It indicates whether this is the last page
totalElements Integer - Total number of records
totalPages Integer - Total number of pages
first Boolean - It indicates whether this is the first page
numberOfElements Integer - Number of records in the current page
size Integer - Number of records per page
number Integer - Index of the current page
  • 0 or greater
sort List - Sort by

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "content": [
    {
      "targetAddress": "test01@ncp-mail.com",
      "actionType": {
        "label": "Delete",
        "code": "D"
      },
      "actionRequesterType": {
        "label": "System",
        "code": "SYSTEM"
      },
      "requestDate": {
        "utc": 1593076560930,
        "formattedDate": "2020-06-25",
        "formattedDateTime": "2020-06-25 18:16:00 930"
      },
      "historySid": 62633,
      "sendResultCode": null,
      "sendResultMessage": null
    },
    {
      "targetAddress": "test01@ncp-mail.com",
      "actionType": {
        "label": "Create",
        "code": "C"
      },
      "actionRequesterType": {
        "label": "Other customer",
        "code": "OTHER_CUSTOMER"
      },
      "requestDate": {
        "utc": 1592471705229,
        "formattedDate": "2020-06-18",
        "formattedDateTime": "2020-06-18 18:15:05 229"
      },
      "historySid": 62632,
      "sendResultCode": "RECIPIENT_ADDRESS_ERROR",
      "sendResultMessage": "550 5.1.1 <test01@ncp-mail.com>: Recipient address rejected: User unknown in local recipient table\n"
    }
  ],
  "registerStatus": "Not blocked",
  "expectedDeleteDate": null,
  "last": true,
  "totalElements": 8,
  "totalPages": 1,
  "first": true,
  "numberOfElements": 8,
  "size": 10,
  "number": 0,
  "sort": [
    {
      "direction": "DESC",
      "property": "createUtc",
      "ignoreCase": false,
      "nullHandling": "NATIVE",
      "ascending": false,
      "descending": true
    }
  ]
}